FsImageProto.INodeDirectorySection.DirEntryOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeDirectorySection, interface: DirEntryOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.INodeDirectorySection.DirEntryOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.INodeDirectorySection.DirEntry`, `FsImageProto.INodeDirectorySection.DirEntry.Builder`

Enclosing class:
  FsImageProto.INodeDirectorySection

public static interface FsImageProto.INodeDirectorySection.DirEntryOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getChildren(int index)`
  children that are not reference nodes
  `int`
  `getChildrenCount()`
  children that are not reference nodes
  `List<Long>`
  `getChildrenList()`
  children that are not reference nodes
  `long`
  `getParent()`
  `optional uint64 parent = 1;`
  `int`
  `getRefChildren(int index)`
  children that are reference nodes, each element is a reference node id
  `int`
  `getRefChildrenCount()`
  children that are reference nodes, each element is a reference node id
  `List<Integer>`
  `getRefChildrenList()`
  children that are reference nodes, each element is a reference node id
  `boolean`
  `hasParent()`
  `optional uint64 parent = 1;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasParent

    boolean hasParent()
    `optional uint64 parent = 1;`
    Returns:
      Whether the parent field is set.

  - ### getParent

    long getParent()
    `optional uint64 parent = 1;`
    Returns:
      The parent.

  - ### getChildrenList

    List<Long> getChildrenList()

         children that are not reference nodes

    `repeated uint64 children = 2 [packed = true];`
    Returns:
      A list containing the children.

  - ### getChildrenCount

    int getChildrenCount()

         children that are not reference nodes

    `repeated uint64 children = 2 [packed = true];`
    Returns:
      The count of children.

  - ### getChildren

    long getChildren(int index)

         children that are not reference nodes

    `repeated uint64 children = 2 [packed = true];`
    Parameters:
      `index` - The index of the element to return.
    Returns:
      The children at the given index.

  - ### getRefChildrenList

    List<Integer> getRefChildrenList()

         children that are reference nodes, each element is a reference node id

    `repeated uint32 refChildren = 3 [packed = true];`
    Returns:
      A list containing the refChildren.

  - ### getRefChildrenCount

    int getRefChildrenCount()

         children that are reference nodes, each element is a reference node id

    `repeated uint32 refChildren = 3 [packed = true];`
    Returns:
      The count of refChildren.

  - ### getRefChildren

    int getRefChildren(int index)

         children that are reference nodes, each element is a reference node id

    `repeated uint32 refChildren = 3 [packed = true];`
    Parameters:
      `index` - The index of the element to return.
    Returns:
      The refChildren at the given index.